# class MediaNode

###

Module | phonon
Namespace | Phonon
Class | MediaNode
Inherits |

### methods

- MediaNode (dd)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  dd | MediaNodePrivate |

- inputPaths ( )

  returns QList<Phonon::Path>

- isValid ( )

  returns bool

  Tells whether the backend provides an implementation of this class.

  Returns true if backend provides an implementation Returns false if the object is not implemented by the backend

- outputPaths ( )

  returns QList<Phonon::Path>